Package io.flutter.embedding.engine

## Class FlutterShellArgs

- java.lang.Object
- - io.flutter.embedding.engine.FlutterShellArgs

-     public class FlutterShellArgs
      extends Object

  Arguments that can be delivered to the Flutter shell when it is created.

  The term "shell" refers to the native code that adapts Flutter to different platforms. Flutter's Android Java code initializes a native "shell" and passes these arguments to that native shell when it is initialized. See `FlutterLoader.ensureInitializationComplete(Context, String[])` for more information.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `ARG_CACHE_SKSL` |
    `static String` | `ARG_DART_FLAGS` |
    `static String` | `ARG_DISABLE_SERVICE_AUTH_CODES` |
    `static String` | `ARG_DUMP_SHADER_SKP_ON_SHADER_COMPILATION` |
    `static String` | `ARG_ENABLE_DART_PROFILING` |
    `static String` | `ARG_ENABLE_IMPELLER` |
    `static String` | `ARG_ENABLE_SOFTWARE_RENDERING` |
    `static String` | `ARG_ENABLE_VULKAN_VALIDATION` |
    `static String` | `ARG_ENDLESS_TRACE_BUFFER` |
    `static String` | `ARG_KEY_CACHE_SKSL` |
    `static String` | `ARG_KEY_DART_FLAGS` |
    `static String` | `ARG_KEY_DISABLE_SERVICE_AUTH_CODES` |
    `static String` | `ARG_KEY_DUMP_SHADER_SKP_ON_SHADER_COMPILATION` |
    `static String` | `ARG_KEY_ENABLE_DART_PROFILING` |
    `static String` | `ARG_KEY_ENABLE_IMPELLER` |
    `static String` | `ARG_KEY_ENABLE_SOFTWARE_RENDERING` |
    `static String` | `ARG_KEY_ENABLE_VULKAN_VALIDATION` |
    `static String` | `ARG_KEY_ENDLESS_TRACE_BUFFER` |
    `static String` | `ARG_KEY_MSAA_SAMPLES` |
    `static String` | `ARG_KEY_OBSERVATORY_PORT` |
    `static String` | `ARG_KEY_PURGE_PERSISTENT_CACHE` |
    `static String` | `ARG_KEY_SKIA_DETERMINISTIC_RENDERING` |
    `static String` | `ARG_KEY_START_PAUSED` |
    `static String` | `ARG_KEY_TRACE_SKIA` |
    `static String` | `ARG_KEY_TRACE_SKIA_ALLOWLIST` |
    `static String` | `ARG_KEY_TRACE_STARTUP` |
    `static String` | `ARG_KEY_TRACE_SYSTRACE` |
    `static String` | `ARG_KEY_TRACE_TO_FILE` |
    `static String` | `ARG_KEY_USE_TEST_FONTS` |
    `static String` | `ARG_KEY_VERBOSE_LOGGING` |
    `static String` | `ARG_KEY_VM_SERVICE_PORT` |
    `static String` | `ARG_MSAA_SAMPLES` |
    `static String` | `ARG_PURGE_PERSISTENT_CACHE` |
    `static String` | `ARG_SKIA_DETERMINISTIC_RENDERING` |
    `static String` | `ARG_START_PAUSED` |
    `static String` | `ARG_TRACE_SKIA` |
    `static String` | `ARG_TRACE_SKIA_ALLOWLIST` |
    `static String` | `ARG_TRACE_STARTUP` |
    `static String` | `ARG_TRACE_SYSTRACE` |
    `static String` | `ARG_TRACE_TO_FILE` |
    `static String` | `ARG_USE_TEST_FONTS` |
    `static String` | `ARG_VERBOSE_LOGGING` |
    `static String` | `ARG_VM_SERVICE_PORT` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FlutterShellArgs​(String[] args)` | Creates a set of Flutter shell arguments from a given `String[]` array.
    `FlutterShellArgs​(List<String> args)` | Creates a set of Flutter shell arguments from a given `List<String>`.
    `FlutterShellArgs​(Set<String> args)` | Creates a set of Flutter shell arguments from a given `Set<String>`.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `add​(String arg)` | Adds the given `arg` to this set of arguments.
    `static FlutterShellArgs` | `fromIntent​(Intent intent)` |
    `void` | `remove​(String arg)` | Removes the given `arg` from this set of arguments.
    `String[]` | `toArray()` | Returns a new `String[]` array which contains each of the arguments within this `FlutterShellArgs`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ARG_KEY_TRACE_STARTUP

          public static final String ARG_KEY_TRACE_STARTUP

      See Also:
        Constant Field Values

    - #### ARG_TRACE_STARTUP

          public static final String ARG_TRACE_STARTUP

      See Also:
        Constant Field Values

    - #### ARG_KEY_START_PAUSED

          public static final String ARG_KEY_START_PAUSED

      See Also:
        Constant Field Values

    - #### ARG_START_PAUSED

          public static final String ARG_START_PAUSED

      See Also:
        Constant Field Values

    - #### ARG_KEY_DISABLE_SERVICE_AUTH_CODES

          public static final String ARG_KEY_DISABLE_SERVICE_AUTH_CODES

      See Also:
        Constant Field Values

    - #### ARG_DISABLE_SERVICE_AUTH_CODES

          public static final String ARG_DISABLE_SERVICE_AUTH_CODES

      See Also:
        Constant Field Values

    - #### ARG_KEY_ENDLESS_TRACE_BUFFER

          public static final String ARG_KEY_ENDLESS_TRACE_BUFFER

      See Also:
        Constant Field Values

    - #### ARG_ENDLESS_TRACE_BUFFER

          public static final String ARG_ENDLESS_TRACE_BUFFER

      See Also:
        Constant Field Values

    - #### ARG_KEY_USE_TEST_FONTS

          public static final String ARG_KEY_USE_TEST_FONTS

      See Also:
        Constant Field Values

    - #### ARG_USE_TEST_FONTS

          public static final String ARG_USE_TEST_FONTS

      See Also:
        Constant Field Values

    - #### ARG_KEY_ENABLE_DART_PROFILING

          public static final String ARG_KEY_ENABLE_DART_PROFILING

      See Also:
        Constant Field Values

    - #### ARG_ENABLE_DART_PROFILING

          public static final String ARG_ENABLE_DART_PROFILING

      See Also:
        Constant Field Values

    - #### ARG_KEY_ENABLE_SOFTWARE_RENDERING

          public static final String ARG_KEY_ENABLE_SOFTWARE_RENDERING

      See Also:
        Constant Field Values

    - #### ARG_ENABLE_SOFTWARE_RENDERING

          public static final String ARG_ENABLE_SOFTWARE_RENDERING

      See Also:
        Constant Field Values

    - #### ARG_KEY_SKIA_DETERMINISTIC_RENDERING

          public static final String ARG_KEY_SKIA_DETERMINISTIC_RENDERING

      See Also:
        Constant Field Values

    - #### ARG_SKIA_DETERMINISTIC_RENDERING

          public static final String ARG_SKIA_DETERMINISTIC_RENDERING

      See Also:
        Constant Field Values

    - #### ARG_KEY_TRACE_SKIA

          public static final String ARG_KEY_TRACE_SKIA

      See Also:
        Constant Field Values

    - #### ARG_TRACE_SKIA

          public static final String ARG_TRACE_SKIA

      See Also:
        Constant Field Values

    - #### ARG_KEY_TRACE_SKIA_ALLOWLIST

          public static final String ARG_KEY_TRACE_SKIA_ALLOWLIST

      See Also:
        Constant Field Values

    - #### ARG_TRACE_SKIA_ALLOWLIST

          public static final String ARG_TRACE_SKIA_ALLOWLIST

      See Also:
        Constant Field Values

    - #### ARG_KEY_TRACE_SYSTRACE

          public static final String ARG_KEY_TRACE_SYSTRACE

      See Also:
        Constant Field Values

    - #### ARG_TRACE_SYSTRACE

          public static final String ARG_TRACE_SYSTRACE

      See Also:
        Constant Field Values

    - #### ARG_KEY_TRACE_TO_FILE

          public static final String ARG_KEY_TRACE_TO_FILE

      See Also:
        Constant Field Values

    - #### ARG_TRACE_TO_FILE

          public static final String ARG_TRACE_TO_FILE

      See Also:
        Constant Field Values

    - #### ARG_KEY_ENABLE_IMPELLER

          public static final String ARG_KEY_ENABLE_IMPELLER

      See Also:
        Constant Field Values

    - #### ARG_ENABLE_IMPELLER

          public static final String ARG_ENABLE_IMPELLER

      See Also:
        Constant Field Values

    - #### ARG_KEY_ENABLE_VULKAN_VALIDATION

          public static final String ARG_KEY_ENABLE_VULKAN_VALIDATION

      See Also:
        Constant Field Values

    - #### ARG_ENABLE_VULKAN_VALIDATION

          public static final String ARG_ENABLE_VULKAN_VALIDATION

      See Also:
        Constant Field Values

    - #### ARG_KEY_DUMP_SHADER_SKP_ON_SHADER_COMPILATION

          public static final String ARG_KEY_DUMP_SHADER_SKP_ON_SHADER_COMPILATION

      See Also:
        Constant Field Values

    - #### ARG_DUMP_SHADER_SKP_ON_SHADER_COMPILATION

          public static final String ARG_DUMP_SHADER_SKP_ON_SHADER_COMPILATION

      See Also:
        Constant Field Values

    - #### ARG_KEY_CACHE_SKSL

          public static final String ARG_KEY_CACHE_SKSL

      See Also:
        Constant Field Values

    - #### ARG_CACHE_SKSL

          public static final String ARG_CACHE_SKSL

      See Also:
        Constant Field Values

    - #### ARG_KEY_PURGE_PERSISTENT_CACHE

          public static final String ARG_KEY_PURGE_PERSISTENT_CACHE

      See Also:
        Constant Field Values

    - #### ARG_PURGE_PERSISTENT_CACHE

          public static final String ARG_PURGE_PERSISTENT_CACHE

      See Also:
        Constant Field Values

    - #### ARG_KEY_VERBOSE_LOGGING

          public static final String ARG_KEY_VERBOSE_LOGGING

      See Also:
        Constant Field Values

    - #### ARG_VERBOSE_LOGGING

          public static final String ARG_VERBOSE_LOGGING

      See Also:
        Constant Field Values

    - #### ARG_KEY_VM_SERVICE_PORT

          public static final String ARG_KEY_VM_SERVICE_PORT

      See Also:
        Constant Field Values

    - #### ARG_VM_SERVICE_PORT

          public static final String ARG_VM_SERVICE_PORT

      See Also:
        Constant Field Values

    - #### ARG_KEY_OBSERVATORY_PORT

          public static final String ARG_KEY_OBSERVATORY_PORT

      See Also:
        Constant Field Values

    - #### ARG_KEY_DART_FLAGS

          public static final String ARG_KEY_DART_FLAGS

      See Also:
        Constant Field Values

    - #### ARG_DART_FLAGS

          public static final String ARG_DART_FLAGS

      See Also:
        Constant Field Values

    - #### ARG_KEY_MSAA_SAMPLES

          public static final String ARG_KEY_MSAA_SAMPLES

      See Also:
        Constant Field Values

    - #### ARG_MSAA_SAMPLES

          public static final String ARG_MSAA_SAMPLES

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### FlutterShellArgs

          public FlutterShellArgs​(@NonNull
                                  String[] args)

      Creates a set of Flutter shell arguments from a given `String[]` array. The given arguments are automatically de-duplicated.

    - #### FlutterShellArgs

          public FlutterShellArgs​(@NonNull
                                  List<String> args)

      Creates a set of Flutter shell arguments from a given `List<String>`. The given arguments are automatically de-duplicated.

    - #### FlutterShellArgs

          public FlutterShellArgs​(@NonNull
                                  Set<String> args)

      Creates a set of Flutter shell arguments from a given `Set<String>`.

  - ### Method Detail

    - #### fromIntent

          @NonNull
          public static FlutterShellArgs fromIntent​(@NonNull
                                                    Intent intent)

    - #### add

          public void add​(@NonNull
                          String arg)

      Adds the given `arg` to this set of arguments.
      Parameters:
        `arg` - argument to add

    - #### remove

          public void remove​(@NonNull
                             String arg)

      Removes the given `arg` from this set of arguments.
      Parameters:
        `arg` - argument to remove

    - #### toArray

          @NonNull
          public String[] toArray()

      Returns a new `String[]` array which contains each of the arguments within this `FlutterShellArgs`.
      Returns:
        array of arguments